<?php

// no direct access
defined('_JEXEC') or die ('Restricted access');
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'lib'.DS.'k2plugin.php');

/**
 * Example K2 Plugin to render YouTube URLs entered in backend K2 forms to video players in the frontend.
 */

class plgK2JlkTagLink extends K2Plugin {

	function plgK2JlkTagLink( & $subject, $params) {
	
		parent::__construct($subject, $params);
	}

	function onK2PrepareContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	function onK2AfterDisplay( & $item, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	function onK2BeforeDisplay( & $item, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	function onK2AfterDisplayTitle( & $item, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	function onK2BeforeDisplayContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
		
		$item->text = $this->_addTagLink($item->text);

		return '';	
	}

	function onK2AfterDisplayContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	function onK2CategoryDisplay( & $category, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	// Event to display in the frontend the YouTube URL as entered in the user form
	function onK2UserDisplay( & $user, & $params, $limitstart) {
	
		global $mainframe;
		return '';
	}

	function _addTagLink($text) {
		
		global $mainframe;
		
		$db = &JFactory::getDBO();

		$query = "SELECT id,name FROM #__k2_tags WHERE published = 1";

		$db->setQuery($query);
		$tags = $db->loadObjectList();

		foreach ($tags as $tag) {
			$text = str_ireplace($tag->name, '<a href="'.K2HelperRoute::getTagRoute($tag->name).'">'.$tag->name.'</a>',$text);
		}

		return $text;
	}

} // END CLASS

